      program evol
      implicit none
!
!     compute the analytic solution of eq. dT/dt=F-aT
!     for a number (nt) of time steps with increment dt
!     starting with T=T0 for t=0.
!
      integer,parameter :: nt = 200   ! no timesteps to be computed
      real,parameter ::    dt = 1.0   ! time increment
      real,parameter ::    t0 = 0.0   ! initial value of t
      real,parameter ::     f = 1.0   ! forcing
      real,parameter ::     a = 0.05  ! damping
!
      integer :: jt                   ! loop increment
      real :: t                       ! t
      real :: time                    ! time
!
!     open output file
!
      open(10,file='T.dat',form='formatted')
!
!     set initial values
!
      time=0
      t=t0
!
!     print out
!
      write(10,*) time,t
!
!     loop
!
      do jt=1,nt
       time=time+dt                       ! increment time
       t=f/a+(t0-f/a)*exp(-a*time)        ! compute t(time)
       write(10,*) time,t                 ! print out
      enddo
!
!     close output
!

      close(10)
!
      stop
      end

